<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="ejecutarDesp()" [disabled]="flagEdit">
    <i class="fa fa-clock mr-2"></i>Ejecutar
  </button>
  <button class="btn btn-danger ml-1" (click)="cancelar()" [disabled]="flagEdit">
    <i class="fa fa-times mr-2"></i>Cancelar
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-6 mb-2">
          <label class="w-100">Razón</label>
            <input type="text" class="form-control" [(ngModel)]="Razon" [ngModelOptions]="{standalone: true}"
            maxlength="30" pattern="[a-zA-Z0-9 ]*">
          </div>
        </div>
    </form>
      <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              (selectionChange)="selectRow($event)"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
              <div *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="FechaDespertador" title="Fecha Desp." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.FechaDespertador | date: formatKendo }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="Hora" title="Hora Desp." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Hora | hour }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="Cuarto" title="Cuarto" width="100"></kendo-grid-column>
                <kendo-grid-column field="Nombre" title="Nombre" width="180"></kendo-grid-column>
                <kendo-grid-column field="Folio" title="Folio" width="70"></kendo-grid-column>
                <kendo-grid-column field="TipoMov" title="TM" width="100"></kendo-grid-column>
                <kendo-grid-column field="Usuario" title="Usuario" width="70"></kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>
  </div>

    <app-loading *ngIf="loading"></app-loading>
</div>
